// IMPORTANT   IMPORTANT   IMPORTANT   IMPORTANT   IMPORTANT   IMPORTANT
//
// This class must be used for TINI until TiniHttpServer supports
// ResourceBundles.  This will not likely happen until TINI or
// TiniHttpServer supports java.text.MessageFormat.
//
// NobodyOutputStream.java - TINI version of javax.servlet.http.NobodyOutputStream.
//
// Copyright (C) 1999-2002  Smart Software Consulting
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// 
// Smart Software Consulting
// 1688 Silverwood Court
// Danville, CA  94526-3079
// USA
// 
// http://www.smartsc.com
//

package javax.servlet.http;

import java.io.IOException;
import javax.servlet.ServletOutputStream;

class NoBodyOutputStream
extends javax.servlet.ServletOutputStream
{
	public void write( int b) { ++contentLength; }
	public void write( byte[] buf, int off, int len)
	throws java.io.IOException
	{
		if( len >= 0)
		{
			contentLength += len;
		}
		else
		{
			throw new IOException( "negative length");
		}
	}
	int getContentLength() { return contentLength; }
	int contentLength = 0;
}